Version attribute 015 (AB)

Checks XS0060 is raised, if imported p:library's @version is not "3.0".

Test ab-att-version-015.xml is expected to fail with error code err:XS0060.

The pipeline


        <p:declare-step xmlns:p="http://www.w3.org/ns/xproc" version="3.0">
            <p:import href="../pipelines/library-defective-version1.xpl"/>
            <p:output port="result"/>
            <p:identity>
                <p:with-input><failure xmlns=""/></p:with-input>
            </p:identity>
            
        </p:declare-step>
    
MorganaXProc passing XML Calabash passing

Revision history

17 Feb 2019, Achim Berndzen

New tests for draconian @version